Annonce

>>> Bienvenue sur codelab! >>> Première visite ? >>> quelques mots sur codelab //// partage de liens //// une carte des membres//// (apéros) codelab


Apéro codelab #31, Rouen, 13 novembre 2014 à Echelle Inconnue appel à participation

#1 2012-03-06 10:37:42 Install pd extended sur linux mint 64bit

reso-nance
membre
Lieu: Marseille
Date d'inscription: 2010-08-04
Messages: 52
Site web

Install pd extended sur linux mint 64bit



Bonjour !
je viens d'installer linuxmint 64bit sur un pc (i5 2500k + disk dur ssd + 8go de ram)
et j'essaie d'installer pd extended sans succes

quelle versionme conseillez vous ? svp...

j'ai tester sur : http://autobuild.puredata.info/auto-build/latest/
Pd-0.43.1-extended-ubuntu-lucid-amd64.deb   = s'installe mais des erreurs partout... pas de gem..etc
Pd-0.43.1-extended-ubuntu-oneiric-i386.deb   = s'intalle pas ... mais c'est normal c'est pas du 64bit..

remarque : la config de l'ordi est pour du :
pure data // blender // processing // openframework/codeblock // ecclypse  // wine

donc si c'est mieu de rster en 32 bit... vu l'orientation, n'hesitez pas a me dire !tongue


----- °+-* Reso-nance association - Marseille
http://reso-nance.org     |||||  http://reso-nance.org/malinette

Hors ligne

 

#2 2012-03-06 11:31:38 Re : Install pd extended sur linux mint 64bit

rep
modérateur
Lieu: Toulouse
Date d'inscription: 2008-02-27
Messages: 1357
Site web

Re: Install pd extended sur linux mint 64bit



Salut, alors les nightlybuilds c'est très bien mais comme c'est compilé au jour le jour il peut y avoir des changements dans le code qui bugge un jour et pas le suivant etc, donc le mieux c'est d'en tester plusieurs si ça merde à l'install ou à l'execution (des plus anciens, etc)
Un truc aussi : des fois ce sont les fichiers de préférences qui foutent le grouille : genre les fichiers ~/.pdsettings ou ~/.pdextended, donc ne pas hésiter à 1) les backuper (si tu tiens à ta config), 2) les virer (pour qu'extended reparte sur une config propre par défaut), et 3) re-executer pdextended.
Encore autre chose : pdextended ça fait des années que ça marche bien sous x86_64, après comme tu le remarques : ça dépends des builds, c'est pas forcément aussi accessible que sous i386 mais quand tu as une version qui marche elle marche aussi bien.
Tu as essayé les builds qui sont dans ma signature ?

Hors ligne

 

#3 2012-03-06 11:57:41 Re : Install pd extended sur linux mint 64bit

reso-nance
membre
Lieu: Marseille
Date d'inscription: 2010-08-04
Messages: 52
Site web

Re: Install pd extended sur linux mint 64bit



merci de ta reponse :
je viens d'essayer ta derniere pour natty,

il m'embete avec les libquicktime et company... ya til un moyen d'installer toutes les dependances d'un coup !?


----- °+-* Reso-nance association - Marseille
http://reso-nance.org     |||||  http://reso-nance.org/malinette

Hors ligne

 

#4 2012-03-06 12:08:50 Re : Install pd extended sur linux mint 64bit

reso-nance
membre
Lieu: Marseille
Date d'inscription: 2010-08-04
Messages: 52
Site web

Re: Install pd extended sur linux mint 64bit



rep a écrit:

Un truc aussi : des fois ce sont les fichiers de préférences qui foutent le grouille : genre les fichiers ~/.pdsettings ou ~/.pdextended, donc ne pas hésiter à 1) les backuper (si tu tiens à ta config), 2) les virer (pour qu'extended reparte sur une config propre par défaut), et 3) re-executer pdextended.

hum

pd me dit cela :

Impossible de lire les préférences de l'interface : "~/.config/pd-extended/recentfiles.conf"


/usr/lib/pd-extended/tcl/../extra/Gem/Gem.pd_linux: libftgl.so.2: cannot open shared object file: No such file or directory
Gem: can't load library
/usr/lib/pd-extended/tcl/../extra/pdp/pdp.pd_linux: libgslcblas.so.0: cannot open shared object file: No such file or directory
pdp: can't load library


du coup je serai tenter d'essayer ce que tu me dit.. mais comment plus precisement ??


----- °+-* Reso-nance association - Marseille
http://reso-nance.org     |||||  http://reso-nance.org/malinette

Hors ligne

 

#5 2012-03-06 12:10:29 Re : Install pd extended sur linux mint 64bit

Olivier
N°4
Lieu: Orléans
Date d'inscription: 2009-04-07
Messages: 1236
Site web

Re: Install pd extended sur linux mint 64bit



Yep...

Serge, de chez nous, semble s'en être sorti en installant la version des nightlybuilds et en y ajoutant des lib chopées sur une Ubuntu 11.10 (de souvenir).

Je vais lui poser la question...

À suivre...


L'Amour au Peuple !

Hors ligne

 

#6 2012-03-06 12:59:56 Re : Install pd extended sur linux mint 64bit

rep
modérateur
Lieu: Toulouse
Date d'inscription: 2008-02-27
Messages: 1357
Site web

Re: Install pd extended sur linux mint 64bit



reso-nance a écrit:

Impossible de lire les préférences de l'interface : "~/.config/pd-extended/recentfiles.conf"

ça à priori tu t'en fous, je veux dire c'est pas NECESSAIRE, c'est juste le plugin 'recent file' qui râle...

reso-nance a écrit:

/usr/lib/pd-extended/tcl/../extra/Gem/Gem.pd_linux: libftgl.so.2: cannot open shared object file: No such file or directory
Gem: can't load library

essaie :

sudo apt-get install libftgl

ou un truc du genre

Des fois les packages .deb ne font pas exhaustivement le tour des dépendances requises (car scripts d'install pas tout à fait à jour), du coup ils s'installent sans warning, mais au moment de l'exécution ils te disent qu'il manque des trucs (alors qu'il aurait du te le dire à l'install).
Bref, vérifies dans synaptic ou autre que t'as bien installé les libs qui le font pleurer, normalement ça devrait le faire...
tiens nous au courant.

Hors ligne

 

#7 2012-03-06 13:03:50 Re : Install pd extended sur linux mint 64bit

reso-nance
membre
Lieu: Marseille
Date d'inscription: 2010-08-04
Messages: 52
Site web

Re: Install pd extended sur linux mint 64bit



coucou olivier !
alors j'ai essayer une 42.5... (amd64)
mais c'est gem et pdp qui ne marche pas...

alors je me dit qu'il faudrai que je tente de reinstaller gem ?
(mais j'ai jamais installer gem, je sais pas comment on fait... hips)
et j'espere qu'il sera compatible avec le 64... (il s'en vante pas trop sur la page...)


----- °+-* Reso-nance association - Marseille
http://reso-nance.org     |||||  http://reso-nance.org/malinette

Hors ligne

 

#8 2012-03-06 13:09:34 Re : Install pd extended sur linux mint 64bit

Olivier
N°4
Lieu: Orléans
Date d'inscription: 2009-04-07
Messages: 1236
Site web

Re: Install pd extended sur linux mint 64bit



Voici la réponse que Serge :

citation :

1) Pourquoi 64 bits ? j'avais une 64 bits pour blender, les rendus étaient plus rapide dans la vielle 2.49, maintenant il n' y a plus d'intérêt. Pour 4 Go de ram , il suffit d'installer un noyau PAE http://doc.ubuntu-fr.org/kernel_32bits_pae
2) Est-ce une mint debian ? si oui je n'avais rien trouvé, il faut compiler, et là galère galère avec les dépendances !

sinon
http://apt.puredata.info/auto-build/2012-03-06/
propose
Pd-0.43.1-extended-20120306-r33p.debian-squeeze-amd64.deb     06-Mar-2012 05:09     30M    
C'est pour tous ces pbs que je suis repassé sur Xubuntu 11.10 (32)

Serge

hmm

Sinon, effectivement, ta Mint, c'est une LMDE ou une Ubuntu ?
Bien que n'ayant pas de solution, je pose la question pour la suite, car cela peut faire une différence...

Bon courage... smile


L'Amour au Peuple !

Hors ligne

 

#9 2012-03-06 13:26:18 Re : Install pd extended sur linux mint 64bit

rep
modérateur
Lieu: Toulouse
Date d'inscription: 2008-02-27
Messages: 1357
Site web

Re: Install pd extended sur linux mint 64bit



reso-nance a écrit:

et j'espere qu'il sera compatible avec le 64... (il s'en vante pas trop sur la page...)

Si, GEM est compatible x86_64 depuis un bail, no soucy avec ça.
regarde, ça date de 2007 :
http://markmail.org/message/44hci3mq63b42aoo

Hors ligne

 

#10 2012-03-06 13:29:55 Re : Install pd extended sur linux mint 64bit

reso-nance
membre
Lieu: Marseille
Date d'inscription: 2010-08-04
Messages: 52
Site web

Re: Install pd extended sur linux mint 64bit



yoyo : c'est une linux mint ubuntu lisa 12.

si effectivement comme dit serge (merci a lui!) blender ne carbure pas plus en 64bit...
peut etre que ca sert a rien d'utiliser le linux mint 64bit... reste a voir avec processing ou autre...

bon pour l'instant je vais essayer de faire marcher ca en compilant gem :
comme decrit ici :
http://wiki.labomedia.org/index.php/Ins … 4.2C_11.04


----- °+-* Reso-nance association - Marseille
http://reso-nance.org     |||||  http://reso-nance.org/malinette

Hors ligne

 

#11 2012-03-06 13:56:34 Re : Install pd extended sur linux mint 64bit

rep
modérateur
Lieu: Toulouse
Date d'inscription: 2008-02-27
Messages: 1357
Site web

Re: Install pd extended sur linux mint 64bit



reso-nance a écrit:

bon pour l'instant je vais essayer de faire marcher ca en compilant gem

T'as essayé ça ???
sudo apt-get install libftgl
?

Hors ligne

 

#12 2012-03-06 14:39:22 Re : Install pd extended sur linux mint 64bit

reso-nance
membre
Lieu: Marseille
Date d'inscription: 2010-08-04
Messages: 52
Site web

Re: Install pd extended sur linux mint 64bit



avec libftgl-dev et libftgl2 cela ne change rien sur la 0.425

[import] $Revision: 1.2 $
	[import] is still in development, the interface could change!
	compiled against Pd version 0.42.5
libdir loader $Revision: 1.8 $
	compiled on Sep 22 2010 at 16:04:27 
	compiled against Pd version 0.42.5.extended
/usr/lib/pd-extended/extra/Gem/Gem.pd_linux: libaviplay-0.7.so.0: cannot open shared object file: No such file or directory

/usr/lib/pd-extended/extra/pdp/pdp.pd_linux: libgslcblas.so.0: cannot open shared object file: No such file or directory
pdp: can't load library
/usr/lib/pd-extended/extra/pidip/pidip.pd_linux: libImlib2.so.1: cannot open shared object file: No such file or directory
pidip: can't load library

sur la 0.43.1 cela change un peu les erreurs mais c'est toujours blindé et pas de gem non plus...


----- °+-* Reso-nance association - Marseille
http://reso-nance.org     |||||  http://reso-nance.org/malinette

Hors ligne

 

#13 2012-03-06 15:27:37 Re : Install pd extended sur linux mint 64bit

rep
modérateur
Lieu: Toulouse
Date d'inscription: 2008-02-27
Messages: 1357
Site web

Re: Install pd extended sur linux mint 64bit



reso-nance a écrit:

avec libftgl-dev et libftgl2 cela ne change rien sur la 0.425
/usr/lib/pd-extended/extra/Gem/Gem.pd_linux: libaviplay-0.7.so.0: cannot open shared object file: No such file or directory

bah si ça change !
Maintenant l'erreur est sur libaviplay, et non plus libftgl...
As tu libaviplay d'installée ?

Autrement dit ton GEM est bien installé, le binaire est surement le bon et il est à la bonne place, juste il ne trouve pas les dépendances, ce qui est un problème qui ne vient pas directement de GEM mais plutôt du script d'install d'extended...
Bref, en installant les dépendances (si tu les trouves pour ton système) ça devrait passer.

Pour infos sous debian libaviplay-0.7.so.0 est fournie par libavifile :
http://packages.debian.org/fr/lenny/amd … 2/filelist

Hors ligne

 

#14 2012-03-07 09:40:07 Re : Install pd extended sur linux mint 64bit

reso-nance
membre
Lieu: Marseille
Date d'inscription: 2010-08-04
Messages: 52
Site web

Re: Install pd extended sur linux mint 64bit



j'ai eu ceci maintenant :

/usr/lib/pd-extended/extra/Gem/Gem.pd_linux: libquicktime.so.1: cannot open shared object file: No such file or directory

j'ai tenter ceci : http://puredata.hurleur.com/sujet-6756- … time-found
mais je n'arrive pas a installer le libavutil50 (pourtant j'ai choper le packet et tout..)

Dernière modification par reso-nance (2012-03-07 10:07:31)


----- °+-* Reso-nance association - Marseille
http://reso-nance.org     |||||  http://reso-nance.org/malinette

Hors ligne

 

#15 2012-03-07 13:42:32 Re : Install pd extended sur linux mint 64bit

oli44
membre
Lieu: Notre Dame des Landes
Date d'inscription: 2008-04-25
Messages: 584
Site web

Re: Install pd extended sur linux mint 64bit



Salut,

sous Debian et consorts Ubuntu Mint etc, pour connaître les dépendances d'un paquet :

# apt-cache showpkg nomdupaquet

ça donne sur une Ubuntu Studio i386 pour Gem:

sudo apt-cache showpkg gem
Package: gem
Versions: 
1:0.92.2-2 (/var/lib/apt/lists/fr.archive.ubuntu.com_ubuntu_dists_lucid_universe_binary-i386_Packages) (/var/lib/dpkg/status)
 Description Language: 
                 File: /var/lib/apt/lists/fr.archive.ubuntu.com_ubuntu_dists_lucid_universe_binary-i386_Packages
                  MD5: 017d4ae7488da0b912c07ff3a5817b8f


Reverse Depends: 
  puredata,gem
Dependencies: 
1:0.92.2-2 - pd (0 (null)) libavifile-0.7c2 (2 1:0.7.48~20090503.ds) libc6 (2 2.4) libftgl2 (2 2.1.3~rc5) libgcc1 (2 1:4.1.1) libgl1-mesa-glx (16 (null)) libgl1 (0 (null)) libglu1-mesa (16 (null)) libglu1 (0 (null)) libmagick++2 (2 7:6.5.7.8) libmagickcore2 (2 7:6.5.7.8) libmpeg3-1 (2 1.5.4) libquicktime1 (2 2:1.1.1+debian) libstdc++6 (2 4.1.1) libv4l-0 (2 0.5.0) libx11-6 (2 0) libxext6 (0 (null)) libxxf86vm1 (0 (null)) zlib1g (2 1:1.1.4) ttf-dejavu (0 (null)) pd-zexy (0 (null)) 
Provides: 
1:0.92.2-2 - 
Reverse Provides:

tu récupères les noms et numéros de versions de librairies à ajouter derrière

# aptitude update, aptitude install libavifile libgl1-mesa-glx libgl1 libglu1-mesa etc....

Par ailleurs, j'ai compilé pd-extended pur Debian Wheezy 64bits sans trop de problème récemment. Le seul hic était le packaging, j'ai fait l'install à l'ancienne

Dernière modification par oli44 (2012-03-07 13:43:50)


La route est longue mais la voie est libre

Hors ligne

 

fil rss de cette discussion : rss

Pied de page des forums

Powered by FluxBB

codelab, graphisme & code : emoc / 2008-2014